# H245NegLogicalChannels Class Reference

`#include <h323neg.h>`

Inheritance diagram for H245NegLogicalChannels:

[legend]
Collaboration diagram for H245NegLogicalChannels:
[legend]

## Public Member Functions

| H245NegLogicalChannels (H323EndPoint &endpoint, H323Connection &connection)
virtual void | Add (H323Channel &channel)
virtual PBoolean | Open (const H323Capability &capability, unsigned sessionID, unsigned replacementFor=0)
virtual PBoolean | Close (unsigned channelNumber, PBoolean fromRemote)
virtual PBoolean | HandleOpen (const H245_OpenLogicalChannel &pdu)
virtual PBoolean | HandleOpenAck (const H245_OpenLogicalChannelAck &pdu)
virtual PBoolean | HandleOpenConfirm (const H245_OpenLogicalChannelConfirm &pdu)
virtual PBoolean | HandleReject (const H245_OpenLogicalChannelReject &pdu)
virtual PBoolean | HandleClose (const H245_CloseLogicalChannel &pdu)
virtual PBoolean | HandleCloseAck (const H245_CloseLogicalChannelAck &pdu)
virtual PBoolean | HandleRequestClose (const H245_RequestChannelClose &pdu)
virtual PBoolean | HandleRequestCloseAck (const H245_RequestChannelCloseAck &pdu)
virtual PBoolean | HandleRequestCloseReject (const H245_RequestChannelCloseReject &pdu)
virtual PBoolean | HandleRequestCloseRelease (const H245_RequestChannelCloseRelease &pdu)
H323ChannelNumber | GetNextChannelNumber ()
H245LogicalChannelDict & | GetChannels ()
const H245LogicalChannelDict & | GetChannels () const
H323Channel * | FindChannel (unsigned channelNumber, PBoolean fromRemote)
H245NegLogicalChannel * | FindNegLogicalChannel (unsigned channelNumber, PBoolean fromRemote)
H323Channel * | FindChannelBySession (unsigned rtpSessionId, PBoolean fromRemote)
void | RemoveAll ()

## Protected Attributes

H323ChannelNumber | lastChannelNumber
H245LogicalChannelDict | channels

## Detailed Description

Dictionary of all Logical Channels

## Constructor & Destructor Documentation

H245NegLogicalChannels::H245NegLogicalChannels | ( | H323EndPoint & | endpoint,
|  | H323Connection & | connection |
| ) |  |  |

## Member Function Documentation

virtual void H245NegLogicalChannels::Add | ( | H323Channel & | channel | ) | `[virtual]`

virtual PBoolean H245NegLogicalChannels::Close | ( | unsigned | channelNumber,
|  | PBoolean | fromRemote |
| ) |  |  | `[virtual]`

H323Channel* H245NegLogicalChannels::FindChannel | ( | unsigned | channelNumber,
|  | PBoolean | fromRemote |
| ) |  |  |

H323Channel* H245NegLogicalChannels::FindChannelBySession | ( | unsigned | rtpSessionId,
|  | PBoolean | fromRemote |
| ) |  |  |

H245NegLogicalChannel* H245NegLogicalChannels::FindNegLogicalChannel | ( | unsigned | channelNumber,
|  | PBoolean | fromRemote |
| ) |  |  |

const H245LogicalChannelDict& H245NegLogicalChannels::GetChannels | ( |  | ) | const`[inline]`

H245LogicalChannelDict& H245NegLogicalChannels::GetChannels | ( |  | ) | `[inline]`

H323ChannelNumber H245NegLogicalChannels::GetNextChannelNumber | ( |  | ) |

virtual PBoolean H245NegLogicalChannels::HandleClose | ( | const H245_CloseLogicalChannel & | pdu | ) | `[virtual]`

virtual PBoolean H245NegLogicalChannels::HandleCloseAck | ( | const H245_CloseLogicalChannelAck & | pdu | ) | `[virtual]`

virtual PBoolean H245NegLogicalChannels::HandleOpen | ( | const H245_OpenLogicalChannel & | pdu | ) | `[virtual]`

virtual PBoolean H245NegLogicalChannels::HandleOpenAck | ( | const H245_OpenLogicalChannelAck & | pdu | ) | `[virtual]`

virtual PBoolean H245NegLogicalChannels::HandleOpenConfirm | ( | const H245_OpenLogicalChannelConfirm & | pdu | ) | `[virtual]`

virtual PBoolean H245NegLogicalChannels::HandleReject | ( | const H245_OpenLogicalChannelReject & | pdu | ) | `[virtual]`

virtual PBoolean H245NegLogicalChannels::HandleRequestClose | ( | const H245_RequestChannelClose & | pdu | ) | `[virtual]`

virtual PBoolean H245NegLogicalChannels::HandleRequestCloseAck | ( | const H245_RequestChannelCloseAck & | pdu | ) | `[virtual]`

virtual PBoolean H245NegLogicalChannels::HandleRequestCloseReject | ( | const H245_RequestChannelCloseReject & | pdu | ) | `[virtual]`

virtual PBoolean H245NegLogicalChannels::HandleRequestCloseRelease | ( | const H245_RequestChannelCloseRelease & | pdu | ) | `[virtual]`

virtual PBoolean H245NegLogicalChannels::Open | ( | const H323Capability & | capability,
|  | unsigned | sessionID,
|  | unsigned | replacementFor = `0` |
| ) |  |  | `[virtual]`

void H245NegLogicalChannels::RemoveAll | ( |  | ) |

## Field Documentation

H245LogicalChannelDict H245NegLogicalChannels::channels `[protected]`

H323ChannelNumber H245NegLogicalChannels::lastChannelNumber `[protected]`

The documentation for this class was generated from the following file:

- h323neg.h